changeset 0:0c50d52f6dc4 default tip

Initial commit
author Cédric Krier <ced@b2ck.com>
date Sun, 28 Oct 2018 19:20:43 +0100
parents
children
files Dockerfile update.sh
diffstat 2 files changed, 9 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Dockerfile	Sun Oct 28 19:20:43 2018 +0100
@@ -0,0 +1,4 @@
+from python:3-slim
+
+EXPOSE 25
+CMD ["python", "-m", "smtpd", "-c", "DebuggingServer", "-n", "0.0.0.0:25"]
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/update.sh	Sun Oct 28 19:20:43 2018 +0100
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+cd "$(dirname "$0")"
+docker build -q --rm --no-cache -t b2ck/fake-smtpd .
+docker push b2ck/fake-smtpd